## com.icl.saxon.sort
Class TextComparer

    java.lang.Object
      |
      +--com.icl.saxon.sort.Comparer
            |
            +--com.icl.saxon.sort.TextComparer

Direct Known Subclasses:
  Compare_en, StringComparer

public abstract class TextComparer
extends Comparer

A Comparer used for comparing text keys

Field Summary
`static int` `DEFAULT_CASE_ORDER`
`static int` `LOWERCASE_FIRST`
`static int` `UPPERCASE_FIRST`

Constructor Summary
`TextComparer()`

Method Summary
`Comparer` `setCaseOrder(int caseOrder)` Set case order

Methods inherited from class com.icl.saxon.sort.Comparer
`compare, setDataType, setOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CASE_ORDER

    public static final int DEFAULT_CASE_ORDER

### LOWERCASE_FIRST

    public static final int LOWERCASE_FIRST

### UPPERCASE_FIRST

    public static final int UPPERCASE_FIRST

Constructor Detail

### TextComparer

    public TextComparer()

Method Detail

### setCaseOrder

    public Comparer setCaseOrder(int caseOrder)

  Set case order
  Parameters:
    `caseOrder` - one of DEFAULT_CASE_ORDER, LOWERCASE_FIRST, or UPPERCASE_FIRST. Indicates whether upper case letters precede or follow lower case letters in the ordering
  Returns:
    either this or a different Comparer that will be used to perform the comparisons. This allows the TextComparer to delegate the comparison to a Comparer dedicated to a specific case order.